# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.1.239 -> 1.1069.1.240
#	 arch/ia64/config.in	1.13.5.8 -> 1.13.5.9
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 04/01/08	kenneth.w.chen@intel.com	1.1069.175.6
# ia64: hugepage_free_pgtables() bug-fix
# 
# 	When there are two huge page mappings, like the two in the example
# 	below, first one at the end of PGDIR_SIZE, and second one starts at
# 	next PGDIR_SIZE (64GB with 16K page size):
# 
# 	8000000ff0000000-8000001000000000 rw-s
# 	8000001000000000-8000001010000000 rw-s
# 
# 	Unmapping the first vma would trick free_pgtable to think it
# 	can remove one set of pgd indexed at 0x400, and it went ahead
# 	purge the entire pmd/pte that are still in use by the second
# 	mapping. Now any subsequent access to pmd/pte for the second
# 	active mapping will trigger the bug.  We've seen hard kernel
# 	hang on some platform, some other platform will generate MCA,
# 	plus all kinds of unpleasant result.
# --------------------------------------------
# 04/01/08	bjorn.helgaas@hp.com	1.1069.175.7
# ia64: Clean up system type selection help text.
# --------------------------------------------
# 04/01/08	bjorn.helgaas@hp.com	1.1069.1.240
# ia64: Fix system type selection to workaround menuconfig bug (select "HP",
# 	get "HP-simulator").
# --------------------------------------------
#
diff -Nru a/arch/ia64/config.in b/arch/ia64/config.in
--- a/arch/ia64/config.in	Thu Jan  8 16:33:56 2004
+++ b/arch/ia64/config.in	Thu Jan  8 16:33:56 2004
@@ -34,8 +34,8 @@
 	"generic		CONFIG_IA64_GENERIC		\
 	 DIG-compliant		CONFIG_IA64_DIG			\
 	 HP			CONFIG_IA64_HP_ZX1		\
-	 HP-simulator		CONFIG_IA64_HP_SIM		\
-	 SGI-SN2		CONFIG_IA64_SGI_SN2" generic
+	 SGI-SN2		CONFIG_IA64_SGI_SN2		\
+	 Ski-simulator		CONFIG_IA64_HP_SIM" generic
 
 if [ "$CONFIG_ITANIUM" = "y" ]; then
   choice 'Kernel page size'						\
